# ApplicationFramework
TKCDF
PCDM

# PCDM_Reference Class Reference

`#include <PCDM_Reference.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PCDM_Reference ()
Standard_EXPORT | PCDM_Reference (const Standard_Integer aReferenceIdentifier, const TCollection_ExtendedString &aFileName, const Standard_Integer aDocumentVersion)
Standard_EXPORT Standard_Integer | ReferenceIdentifier () const
Standard_EXPORT TCollection_ExtendedString | FileName () const
Standard_EXPORT Standard_Integer | DocumentVersion () const

## Private Attributes

Standard_Integer | myReferenceIdentifier
TCollection_ExtendedString | myFileName
Standard_Integer | myDocumentVersion

## Constructor & Destructor Documentation

Standard_EXPORT PCDM_Reference::PCDM_Reference | ( |  | ) |

Standard_EXPORT PCDM_Reference::PCDM_Reference | ( | const Standard_Integer | aReferenceIdentifier,
|  | const TCollection_ExtendedString & | aFileName,
|  | const Standard_Integer | aDocumentVersion
| ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer PCDM_Reference::DocumentVersion | ( |  | ) | const

Standard_EXPORT TCollection_ExtendedString PCDM_Reference::FileName | ( |  | ) | const

void PCDM_Reference::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PCDM_Reference::operator new | ( | size_t | size | ) | `[inline]`

void* PCDM_Reference::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_Integer PCDM_Reference::ReferenceIdentifier | ( |  | ) | const

## Field Documentation

Standard_Integer PCDM_Reference::myDocumentVersion `[private]`

TCollection_ExtendedString PCDM_Reference::myFileName `[private]`

Standard_Integer PCDM_Reference::myReferenceIdentifier `[private]`

The documentation for this class was generated from the following file:

- PCDM_Reference.hxx